Page MenuHomePhabricator

Update Stretch CI containers to use a git that supports protocol v2
Closed, ResolvedPublic

Description

Debian Stretch ships git 2.11.0, we need a more recent git to support protocol v2.

stretch-backports has 2.20.1, though backports magically disappear before the distribution end of LTS. But that can be done by using a component in our apt.

2.20.x should be enough (v2 history up to 2.27 listed at T256810#6270440)

Event Timeline

hashar created this task.Jul 1 2020, 8:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2020, 8:08 AM
hashar added a comment.Jul 1 2020, 9:04 AM

I have poked the ops internal mailing list to check whether stretch-backports will be kept around or whether we should use a component on our apt repository.

hashar updated the task description. (Show Details)Jul 7 2020, 12:09 PM

Change 611181 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] dockerfiles: drop backports, add git proto v2 to ci-stretch

https://gerrit.wikimedia.org/r/611181

Change 611181 merged by jenkins-bot:
[integration/config@master] dockerfiles: drop backports, add git proto v2 to ci-stretch

https://gerrit.wikimedia.org/r/611181

Change 620696 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] dockerfiles: rebuild all ci-stretch child images

https://gerrit.wikimedia.org/r/620696

Change 620696 merged by jenkins-bot:
[integration/config@master] dockerfiles: rebuild all ci-stretch child images

https://gerrit.wikimedia.org/r/620696

Mentioned in SAL (#wikimedia-releng) [2020-08-17T15:16:55Z] <hashar> Build new CI images for https://gerrit.wikimedia.org/r/c/integration/config/+/620696 (git v2 T256844 / drop stretch-backports T257327 )

Change 620913 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] jjb: update jobs for git v2 / drop stretch-backports

https://gerrit.wikimedia.org/r/620913

Change 620914 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] jjb: update quibble jobs for git v2 / drop stretch-backports

https://gerrit.wikimedia.org/r/620914

Change 620913 merged by jenkins-bot:
[integration/config@master] jjb: update jobs for git v2 / drop stretch-backports

https://gerrit.wikimedia.org/r/620913

Change 620914 merged by jenkins-bot:
[integration/config@master] jjb: update quibble jobs for git v2 / drop stretch-backports

https://gerrit.wikimedia.org/r/620914

hashar closed this task as Resolved.Aug 18 2020, 11:42 AM
hashar claimed this task.

I think that is done now ;)

hashar reopened this task as Open.Aug 18 2020, 2:25 PM

That broke the Quibble jobs with:

TypeError: PackingType of packed-Refs not understood: '# pack-refs with: peeled fully-peeled sorted'

Due to GitPython probably.

Change 620990 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] dockerfile: stop using python3-git for Quibble Stretch

https://gerrit.wikimedia.org/r/620990

Change 620990 merged by jenkins-bot:
[integration/config@master] dockerfile: stop using python3-git for Quibble Stretch

https://gerrit.wikimedia.org/r/620990

Mentioned in SAL (#wikimedia-releng) [2020-08-18T16:47:30Z] <hashar> Rebuilding CI containers for Quibble to update GitPython T256844#6393265 | https://gerrit.wikimedia.org/r/c/integration/config/+/620990/

Change 621287 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] jjb: update quibble jobs for gitv2/stretch-backports [2]

https://gerrit.wikimedia.org/r/621287

Change 621287 merged by jenkins-bot:
[integration/config@master] jjb: update quibble jobs for gitv2/stretch-backports [2]

https://gerrit.wikimedia.org/r/621287

hashar closed this task as Resolved.Aug 19 2020, 3:02 PM